# -*- encoding: utf-8 -*-
# Copyright 2014
# The Cloudscaling Group, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from watcher_metering_vsphere import host_drivers
from watcher_metering_vsphere import vm_drivers


DRIVERS = [
    host_drivers.VSphereHostClusterServicesCpufairnessLatest,
    host_drivers.VSphereHostClusterServicesEffectivecpuAverage,
    host_drivers.VSphereHostClusterServicesEffectivememAverage,
    host_drivers.VSphereHostClusterServicesFailoverLatest,
    host_drivers.VSphereHostClusterServicesMemfairnessLatest,
    host_drivers.VSphereHostCpuCapacityContentionAverage,
    host_drivers.VSphereHostCpuCapacityDemandAverage,
    host_drivers.VSphereHostCpuCapacityEntitlementAverage,
    host_drivers.VSphereHostCpuCapacityProvisionedAverage,
    host_drivers.VSphereHostCpuCapacityUsageAverage,
    host_drivers.VSphereHostCpuCoreUtilization,
    host_drivers.VSphereHostCpuCoreUtilizationAverage,
    host_drivers.VSphereHostCpuCoreUtilizationMaximum,
    host_drivers.VSphereHostCpuCoreUtilizationMinimum,
    host_drivers.VSphereHostCpuCorecountContentionAverage,
    host_drivers.VSphereHostCpuCorecountProvisionedAverage,
    host_drivers.VSphereHostCpuCorecountUsageAverage,
    host_drivers.VSphereHostCpuCostopSummation,
    host_drivers.VSphereHostCpuCpuentitlementLatest,
    host_drivers.VSphereHostCpuDemandAverage,
    host_drivers.VSphereHostCpuDemandEntitlementRatioLatest,
    host_drivers.VSphereHostCpuEntitlementLatest,
    host_drivers.VSphereHostCpuIdleSummation,
    host_drivers.VSphereHostCpuLatencyAverage,
    host_drivers.VSphereHostCpuMaxlimitedSummation,
    host_drivers.VSphereHostCpuOverlapSummation,
    host_drivers.VSphereHostCpuReadinessAverage,
    host_drivers.VSphereHostCpuReadySummation,
    host_drivers.VSphereHostCpuReservedCapacityAverage,
    host_drivers.VSphereHostCpuRunSummation,
    host_drivers.VSphereHostCpuSwapwaitSummation,
    host_drivers.VSphereHostCpuSystemSummation,
    host_drivers.VSphereHostCpuTotalCapacityAverage,
    host_drivers.VSphereHostCpuTotalmhzAverage,
    host_drivers.VSphereHostCpuUsage,
    host_drivers.VSphereHostCpuUsageAverage,
    host_drivers.VSphereHostCpuUsageMaximum,
    host_drivers.VSphereHostCpuUsageMinimum,
    host_drivers.VSphereHostCpuUsagemhz,
    host_drivers.VSphereHostCpuUsagemhzAverage,
    host_drivers.VSphereHostCpuUsagemhzMaximum,
    host_drivers.VSphereHostCpuUsagemhzMinimum,
    host_drivers.VSphereHostCpuUsedSummation,
    host_drivers.VSphereHostCpuUtilization,
    host_drivers.VSphereHostCpuUtilizationAverage,
    host_drivers.VSphereHostCpuUtilizationMaximum,
    host_drivers.VSphereHostCpuUtilizationMinimum,
    host_drivers.VSphereHostCpuWaitSummation,
    host_drivers.VSphereHostDatastoreBusResetsSummation,
    host_drivers.VSphereHostDatastoreCommandsAbortedSummation,
    host_drivers.VSphereHostDatastoreDatastoreIopsAverage,
    host_drivers.VSphereHostDatastoreDatastoreMaxQueueDepthLatest,
    host_drivers.VSphereHostDatastoreDatastoreNormalReadLatencyLatest,
    host_drivers.VSphereHostDatastoreDatastoreNormalWriteLatencyLatest,
    host_drivers.VSphereHostDatastoreDatastoreReadBytesLatest,
    host_drivers.VSphereHostDatastoreDatastoreReadIopsLatest,
    host_drivers.VSphereHostDatastoreDatastoreReadLoadMetricLatest,
    host_drivers.VSphereHostDatastoreDatastoreReadOIOLatest,
    host_drivers.VSphereHostDatastoreDatastoreVMObservedLatencyLatest,
    host_drivers.VSphereHostDatastoreDatastoreWriteBytesLatest,
    host_drivers.VSphereHostDatastoreDatastoreWriteIopsLatest,
    host_drivers.VSphereHostDatastoreDatastoreWriteLoadMetricLatest,
    host_drivers.VSphereHostDatastoreDatastoreWriteOIOLatest,
    host_drivers.VSphereHostDatastoreMaxTotalLatencyLatest,
    host_drivers.VSphereHostDatastoreNumberReadAveragedAverage,
    host_drivers.VSphereHostDatastoreNumberWriteAveragedAverage,
    host_drivers.VSphereHostDatastoreReadAverage,
    host_drivers.VSphereHostDatastoreSiocActiveTimePercentageAverage,
    host_drivers.VSphereHostDatastoreSizeNormalizedDatastoreLatencyAverage,
    host_drivers.VSphereHostDatastoreThroughputContentionAverage,
    host_drivers.VSphereHostDatastoreThroughputUsageAverage,
    host_drivers.VSphereHostDatastoreTotalReadLatencyAverage,
    host_drivers.VSphereHostDatastoreTotalWriteLatencyAverage,
    host_drivers.VSphereHostDatastoreWriteAverage,
    host_drivers.VSphereHostDiskBusResetsSummation,
    host_drivers.VSphereHostDiskCapacityContentionAverage,
    host_drivers.VSphereHostDiskCapacityLatest,
    host_drivers.VSphereHostDiskCapacityProvisionedAverage,
    host_drivers.VSphereHostDiskCapacityUsageAverage,
    host_drivers.VSphereHostDiskCommandsSummation,
    host_drivers.VSphereHostDiskCommandsAbortedSummation,
    host_drivers.VSphereHostDiskCommandsAveragedAverage,
    host_drivers.VSphereHostDiskDeltausedLatest,
    host_drivers.VSphereHostDiskDeviceLatencyAverage,
    host_drivers.VSphereHostDiskDeviceReadLatencyAverage,
    host_drivers.VSphereHostDiskDeviceWriteLatencyAverage,
    host_drivers.VSphereHostDiskKernelLatencyAverage,
    host_drivers.VSphereHostDiskKernelReadLatencyAverage,
    host_drivers.VSphereHostDiskKernelWriteLatencyAverage,
    host_drivers.VSphereHostDiskMaxQueueDepthAverage,
    host_drivers.VSphereHostDiskMaxTotalLatencyLatest,
    host_drivers.VSphereHostDiskNumberReadSummation,
    host_drivers.VSphereHostDiskNumberReadAveragedAverage,
    host_drivers.VSphereHostDiskNumberWriteSummation,
    host_drivers.VSphereHostDiskNumberWriteAveragedAverage,
    host_drivers.VSphereHostDiskProvisionedLatest,
    host_drivers.VSphereHostDiskQueueLatencyAverage,
    host_drivers.VSphereHostDiskQueueReadLatencyAverage,
    host_drivers.VSphereHostDiskQueueWriteLatencyAverage,
    host_drivers.VSphereHostDiskReadAverage,
    host_drivers.VSphereHostDiskScsiReservationCnflctsPctAverage,
    host_drivers.VSphereHostDiskScsiReservationConflictsSummation,
    host_drivers.VSphereHostDiskThroughputContentionAverage,
    host_drivers.VSphereHostDiskThroughputUsageAverage,
    host_drivers.VSphereHostDiskTotalLatencyAverage,
    host_drivers.VSphereHostDiskTotalReadLatencyAverage,
    host_drivers.VSphereHostDiskTotalWriteLatencyAverage,
    host_drivers.VSphereHostDiskUnsharedLatest,
    host_drivers.VSphereHostDiskUsage,
    host_drivers.VSphereHostDiskUsageAverage,
    host_drivers.VSphereHostDiskUsageMaximum,
    host_drivers.VSphereHostDiskUsageMinimum,
    host_drivers.VSphereHostDiskUsedLatest,
    host_drivers.VSphereHostDiskWriteAverage,
    host_drivers.VSphereHostHbrHbrNetRxAverage,
    host_drivers.VSphereHostHbrHbrNetTxAverage,
    host_drivers.VSphereHostHbrHbrNumVmsAverage,
    host_drivers.VSphereHostManagementAgentCpuUsageAverage,
    host_drivers.VSphereHostManagementAgentMemUsedAverage,
    host_drivers.VSphereHostManagementAgentSwapInAverage,
    host_drivers.VSphereHostManagementAgentSwapOutAverage,
    host_drivers.VSphereHostManagementAgentSwapUsedAverage,
    host_drivers.VSphereHostMemActive,
    host_drivers.VSphereHostMemActiveAverage,
    host_drivers.VSphereHostMemActiveMaximum,
    host_drivers.VSphereHostMemActiveMinimum,
    host_drivers.VSphereHostMemActivewriteAverage,
    host_drivers.VSphereHostMemCapacityContentionAverage,
    host_drivers.VSphereHostMemCapacityEntitlementAverage,
    host_drivers.VSphereHostMemCapacityProvisionedAverage,
    host_drivers.VSphereHostMemCapacityUsableAverage,
    host_drivers.VSphereHostMemCapacityUsageAverage,
    host_drivers.VSphereHostMemCapacityUsageUserworldAverage,
    host_drivers.VSphereHostMemCapacityUsageVmAverage,
    host_drivers.VSphereHostMemCapacityUsageVmOvrhdAverage,
    host_drivers.VSphereHostMemCapacityUsageVmkOvrhdAverage,
    host_drivers.VSphereHostMemCompressedAverage,
    host_drivers.VSphereHostMemCompressionRateAverage,
    host_drivers.VSphereHostMemConsumed,
    host_drivers.VSphereHostMemConsumedAverage,
    host_drivers.VSphereHostMemConsumedMaximum,
    host_drivers.VSphereHostMemConsumedMinimum,
    host_drivers.VSphereHostMemConsumedUserworldsAverage,
    host_drivers.VSphereHostMemConsumedVmsAverage,
    host_drivers.VSphereHostMemDecompressionRateAverage,
    host_drivers.VSphereHostMemEntitlementAverage,
    host_drivers.VSphereHostMemGranted,
    host_drivers.VSphereHostMemGrantedAverage,
    host_drivers.VSphereHostMemGrantedMaximum,
    host_drivers.VSphereHostMemGrantedMinimum,
    host_drivers.VSphereHostMemHeap,
    host_drivers.VSphereHostMemHeapAverage,
    host_drivers.VSphereHostMemHeapMaximum,
    host_drivers.VSphereHostMemHeapMinimum,
    host_drivers.VSphereHostMemHeapfree,
    host_drivers.VSphereHostMemHeapfreeAverage,
    host_drivers.VSphereHostMemHeapfreeMaximum,
    host_drivers.VSphereHostMemHeapfreeMinimum,
    host_drivers.VSphereHostMemLatencyAverage,
    host_drivers.VSphereHostMemLlSwapIn,
    host_drivers.VSphereHostMemLlSwapInAverage,
    host_drivers.VSphereHostMemLlSwapInMaximum,
    host_drivers.VSphereHostMemLlSwapInMinimum,
    host_drivers.VSphereHostMemLlSwapInRateAverage,
    host_drivers.VSphereHostMemLlSwapOut,
    host_drivers.VSphereHostMemLlSwapOutAverage,
    host_drivers.VSphereHostMemLlSwapOutMaximum,
    host_drivers.VSphereHostMemLlSwapOutMinimum,
    host_drivers.VSphereHostMemLlSwapOutRateAverage,
    host_drivers.VSphereHostMemLlSwapUsed,
    host_drivers.VSphereHostMemLlSwapUsedAverage,
    host_drivers.VSphereHostMemLlSwapUsedMaximum,
    host_drivers.VSphereHostMemLlSwapUsedMinimum,
    host_drivers.VSphereHostMemLowfreethresholdAverage,
    host_drivers.VSphereHostMemMementitlementLatest,
    host_drivers.VSphereHostMemOverhead,
    host_drivers.VSphereHostMemOverheadAverage,
    host_drivers.VSphereHostMemOverheadMaximum,
    host_drivers.VSphereHostMemOverheadMinimum,
    host_drivers.VSphereHostMemOverheadMaxAverage,
    host_drivers.VSphereHostMemOverheadTouchedAverage,
    host_drivers.VSphereHostMemReservedCapacityAverage,
    host_drivers.VSphereHostMemReservedCapacityUserworldAverage,
    host_drivers.VSphereHostMemReservedCapacityVmAverage,
    host_drivers.VSphereHostMemReservedCapacityVmOvhdAverage,
    host_drivers.VSphereHostMemReservedCapacityVmkOvrhdAverage,
    host_drivers.VSphereHostMemReservedCapacityPctAverage,
    host_drivers.VSphereHostMemShared,
    host_drivers.VSphereHostMemSharedAverage,
    host_drivers.VSphereHostMemSharedMaximum,
    host_drivers.VSphereHostMemSharedMinimum,
    host_drivers.VSphereHostMemSharedcommon,
    host_drivers.VSphereHostMemSharedcommonAverage,
    host_drivers.VSphereHostMemSharedcommonMaximum,
    host_drivers.VSphereHostMemSharedcommonMinimum,
    host_drivers.VSphereHostMemStateLatest,
    host_drivers.VSphereHostMemSwapIn,
    host_drivers.VSphereHostMemSwapInAverage,
    host_drivers.VSphereHostMemSwapInMaximum,
    host_drivers.VSphereHostMemSwapInMinimum,
    host_drivers.VSphereHostMemSwapOut,
    host_drivers.VSphereHostMemSwapOutAverage,
    host_drivers.VSphereHostMemSwapOutMaximum,
    host_drivers.VSphereHostMemSwapOutMinimum,
    host_drivers.VSphereHostMemSwapin,
    host_drivers.VSphereHostMemSwapinAverage,
    host_drivers.VSphereHostMemSwapinMaximum,
    host_drivers.VSphereHostMemSwapinMinimum,
    host_drivers.VSphereHostMemSwapinRateAverage,
    host_drivers.VSphereHostMemSwapout,
    host_drivers.VSphereHostMemSwapoutAverage,
    host_drivers.VSphereHostMemSwapoutMaximum,
    host_drivers.VSphereHostMemSwapoutMinimum,
    host_drivers.VSphereHostMemSwapoutRateAverage,
    host_drivers.VSphereHostMemSwapped,
    host_drivers.VSphereHostMemSwappedAverage,
    host_drivers.VSphereHostMemSwappedMaximum,
    host_drivers.VSphereHostMemSwappedMinimum,
    host_drivers.VSphereHostMemSwaptarget,
    host_drivers.VSphereHostMemSwaptargetAverage,
    host_drivers.VSphereHostMemSwaptargetMaximum,
    host_drivers.VSphereHostMemSwaptargetMinimum,
    host_drivers.VSphereHostMemSwapunreserved,
    host_drivers.VSphereHostMemSwapunreservedAverage,
    host_drivers.VSphereHostMemSwapunreservedMaximum,
    host_drivers.VSphereHostMemSwapunreservedMinimum,
    host_drivers.VSphereHostMemSwapused,
    host_drivers.VSphereHostMemSwapusedAverage,
    host_drivers.VSphereHostMemSwapusedMaximum,
    host_drivers.VSphereHostMemSwapusedMinimum,
    host_drivers.VSphereHostMemSysUsage,
    host_drivers.VSphereHostMemSysUsageAverage,
    host_drivers.VSphereHostMemSysUsageMaximum,
    host_drivers.VSphereHostMemSysUsageMinimum,
    host_drivers.VSphereHostMemTotalCapacityAverage,
    host_drivers.VSphereHostMemTotalmbAverage,
    host_drivers.VSphereHostMemUnreserved,
    host_drivers.VSphereHostMemUnreservedAverage,
    host_drivers.VSphereHostMemUnreservedMaximum,
    host_drivers.VSphereHostMemUnreservedMinimum,
    host_drivers.VSphereHostMemUsage,
    host_drivers.VSphereHostMemUsageAverage,
    host_drivers.VSphereHostMemUsageMaximum,
    host_drivers.VSphereHostMemUsageMinimum,
    host_drivers.VSphereHostMemVmfsPbcCapMissRatioLatest,
    host_drivers.VSphereHostMemVmfsPbcOverheadLatest,
    host_drivers.VSphereHostMemVmfsPbcSizeLatest,
    host_drivers.VSphereHostMemVmfsPbcSizeMaxLatest,
    host_drivers.VSphereHostMemVmfsPbcWorkingSetLatest,
    host_drivers.VSphereHostMemVmfsPbcWorkingSetMaxLatest,
    host_drivers.VSphereHostMemVmmemctl,
    host_drivers.VSphereHostMemVmmemctlAverage,
    host_drivers.VSphereHostMemVmmemctlMaximum,
    host_drivers.VSphereHostMemVmmemctlMinimum,
    host_drivers.VSphereHostMemVmmemctltarget,
    host_drivers.VSphereHostMemVmmemctltargetAverage,
    host_drivers.VSphereHostMemVmmemctltargetMaximum,
    host_drivers.VSphereHostMemVmmemctltargetMinimum,
    host_drivers.VSphereHostMemZero,
    host_drivers.VSphereHostMemZeroAverage,
    host_drivers.VSphereHostMemZeroMaximum,
    host_drivers.VSphereHostMemZeroMinimum,
    host_drivers.VSphereHostMemZipSavedLatest,
    host_drivers.VSphereHostMemZippedLatest,
    host_drivers.VSphereHostNetBroadcastRxSummation,
    host_drivers.VSphereHostNetBroadcastTxSummation,
    host_drivers.VSphereHostNetBytesRxAverage,
    host_drivers.VSphereHostNetBytesTxAverage,
    host_drivers.VSphereHostNetDroppedRxSummation,
    host_drivers.VSphereHostNetDroppedTxSummation,
    host_drivers.VSphereHostNetErrorsRxSummation,
    host_drivers.VSphereHostNetErrorsTxSummation,
    host_drivers.VSphereHostNetMulticastRxSummation,
    host_drivers.VSphereHostNetMulticastTxSummation,
    host_drivers.VSphereHostNetPacketsRxSummation,
    host_drivers.VSphereHostNetPacketsTxSummation,
    host_drivers.VSphereHostNetReceivedAverage,
    host_drivers.VSphereHostNetThroughputContentionSummation,
    host_drivers.VSphereHostNetThroughputDroppedRxAverage,
    host_drivers.VSphereHostNetThroughputDroppedTxAverage,
    host_drivers.VSphereHostNetThroughputPacketsPerSecAverage,
    host_drivers.VSphereHostNetThroughputPktsRxAverage,
    host_drivers.VSphereHostNetThroughputPktsRxBroadcastAverage,
    host_drivers.VSphereHostNetThroughputPktsRxMulticastAverage,
    host_drivers.VSphereHostNetThroughputPktsTxAverage,
    host_drivers.VSphereHostNetThroughputPktsTxBroadcastAverage,
    host_drivers.VSphereHostNetThroughputPktsTxMulticastAverage,
    host_drivers.VSphereHostNetThroughputProvisionedAverage,
    host_drivers.VSphereHostNetThroughputUsableAverage,
    host_drivers.VSphereHostNetThroughputUsageAverage,
    host_drivers.VSphereHostNetThroughputUsageFtAverage,
    host_drivers.VSphereHostNetThroughputUsageHbrAverage,
    host_drivers.VSphereHostNetThroughputUsageIscsiAverage,
    host_drivers.VSphereHostNetThroughputUsageNfsAverage,
    host_drivers.VSphereHostNetThroughputUsageVmAverage,
    host_drivers.VSphereHostNetThroughputUsageVmotionAverage,
    host_drivers.VSphereHostNetThroughputVdsArpFoundAverage,
    host_drivers.VSphereHostNetThroughputVdsArpFoundSummation,
    host_drivers.VSphereHostNetThroughputVdsArpLKUPFullAverage,
    host_drivers.VSphereHostNetThroughputVdsArpLKUPFullSummation,
    host_drivers.VSphereHostNetThroughputVdsArpTimeoutAverage,
    host_drivers.VSphereHostNetThroughputVdsArpTimeoutSummation,
    host_drivers.VSphereHostNetThroughputVdsArpUnknownAverage,
    host_drivers.VSphereHostNetThroughputVdsArpUnknownSummation,
    host_drivers.VSphereHostNetThroughputVdsArpWaitAverage,
    host_drivers.VSphereHostNetThroughputVdsArpWaitSummation,
    host_drivers.VSphereHostNetThroughputVdsDroppedRxAverage,
    host_drivers.VSphereHostNetThroughputVdsDroppedTxAverage,
    host_drivers.VSphereHostNetThroughputVdsLagDropRxAverage,
    host_drivers.VSphereHostNetThroughputVdsLagDropTxAverage,
    host_drivers.VSphereHostNetThroughputVdsLagRxAverage,
    host_drivers.VSphereHostNetThroughputVdsLagRxBcastAverage,
    host_drivers.VSphereHostNetThroughputVdsLagRxMcastAverage,
    host_drivers.VSphereHostNetThroughputVdsLagTxAverage,
    host_drivers.VSphereHostNetThroughputVdsLagTxBcastAverage,
    host_drivers.VSphereHostNetThroughputVdsLagTxMcastAverage,
    host_drivers.VSphereHostNetThroughputVdsMacFloodAverage,
    host_drivers.VSphereHostNetThroughputVdsMacFloodSummation,
    host_drivers.VSphereHostNetThroughputVdsMacLKUPFullAverage,
    host_drivers.VSphereHostNetThroughputVdsMacLKUPFullSummation,
    host_drivers.VSphereHostNetThroughputVdsMacUPDTFullAverage,
    host_drivers.VSphereHostNetThroughputVdsMacUPDTFullSummation,
    host_drivers.VSphereHostNetThroughputVdsPktsRxAverage,
    host_drivers.VSphereHostNetThroughputVdsPktsRxBcastAverage,
    host_drivers.VSphereHostNetThroughputVdsPktsRxMcastAverage,
    host_drivers.VSphereHostNetThroughputVdsPktsTxAverage,
    host_drivers.VSphereHostNetThroughputVdsPktsTxBcastAverage,
    host_drivers.VSphereHostNetThroughputVdsPktsTxMcastAverage,
    host_drivers.VSphereHostNetThroughputVdsRxDestErrAverage,
    host_drivers.VSphereHostNetThroughputVdsRxDestErrSummation,
    host_drivers.VSphereHostNetThroughputVdsRxDropAverage,
    host_drivers.VSphereHostNetThroughputVdsRxDropSummation,
    host_drivers.VSphereHostNetThroughputVdsRxTotalAverage,
    host_drivers.VSphereHostNetThroughputVdsRxTotalSummation,
    host_drivers.VSphereHostNetThroughputVdsTxCrsRouterAverage,
    host_drivers.VSphereHostNetThroughputVdsTxCrsRouterSummation,
    host_drivers.VSphereHostNetThroughputVdsTxDropAverage,
    host_drivers.VSphereHostNetThroughputVdsTxDropSummation,
    host_drivers.VSphereHostNetThroughputVdsTxNoUnicastAverage,
    host_drivers.VSphereHostNetThroughputVdsTxNoUnicastSummation,
    host_drivers.VSphereHostNetThroughputVdsTxTotalAverage,
    host_drivers.VSphereHostNetThroughputVdsTxTotalSummation,
    host_drivers.VSphereHostNetTransmittedAverage,
    host_drivers.VSphereHostNetUnknownProtosSummation,
    host_drivers.VSphereHostNetUsage,
    host_drivers.VSphereHostNetUsageAverage,
    host_drivers.VSphereHostNetUsageMaximum,
    host_drivers.VSphereHostNetUsageMinimum,
    host_drivers.VSphereHostPowerCapacityUsableAverage,
    host_drivers.VSphereHostPowerCapacityUsageAverage,
    host_drivers.VSphereHostPowerCapacityUsagePctAverage,
    host_drivers.VSphereHostPowerEnergySummation,
    host_drivers.VSphereHostPowerPowerAverage,
    host_drivers.VSphereHostPowerPowerCapAverage,
    host_drivers.VSphereHostRescpuActav1Latest,
    host_drivers.VSphereHostRescpuActav15Latest,
    host_drivers.VSphereHostRescpuActav5Latest,
    host_drivers.VSphereHostRescpuActpk1Latest,
    host_drivers.VSphereHostRescpuActpk15Latest,
    host_drivers.VSphereHostRescpuActpk5Latest,
    host_drivers.VSphereHostRescpuMaxLimited1Latest,
    host_drivers.VSphereHostRescpuMaxLimited15Latest,
    host_drivers.VSphereHostRescpuMaxLimited5Latest,
    host_drivers.VSphereHostRescpuRunav1Latest,
    host_drivers.VSphereHostRescpuRunav15Latest,
    host_drivers.VSphereHostRescpuRunav5Latest,
    host_drivers.VSphereHostRescpuRunpk1Latest,
    host_drivers.VSphereHostRescpuRunpk15Latest,
    host_drivers.VSphereHostRescpuRunpk5Latest,
    host_drivers.VSphereHostRescpuSampleCountLatest,
    host_drivers.VSphereHostRescpuSamplePeriodLatest,
    host_drivers.VSphereHostStorageAdapterOIOsPctAverage,
    host_drivers.VSphereHostStorageAdapterCommandsAveragedAverage,
    host_drivers.VSphereHostStorageAdapterMaxTotalLatencyLatest,
    host_drivers.VSphereHostStorageAdapterNumberReadAveragedAverage,
    host_drivers.VSphereHostStorageAdapterNumberWriteAveragedAverage,
    host_drivers.VSphereHostStorageAdapterOutstandingIOsAverage,
    host_drivers.VSphereHostStorageAdapterQueueDepthAverage,
    host_drivers.VSphereHostStorageAdapterQueueLatencyAverage,
    host_drivers.VSphereHostStorageAdapterQueuedAverage,
    host_drivers.VSphereHostStorageAdapterReadAverage,
    host_drivers.VSphereHostStorageAdapterThroughputContAverage,
    host_drivers.VSphereHostStorageAdapterThroughputUsagAverage,
    host_drivers.VSphereHostStorageAdapterTotalReadLatencyAverage,
    host_drivers.VSphereHostStorageAdapterTotalWriteLatencyAverage,
    host_drivers.VSphereHostStorageAdapterWriteAverage,
    host_drivers.VSphereHostStoragePathBusResetsSummation,
    host_drivers.VSphereHostStoragePathCommandsAbortedSummation,
    host_drivers.VSphereHostStoragePathCommandsAveragedAverage,
    host_drivers.VSphereHostStoragePathMaxTotalLatencyLatest,
    host_drivers.VSphereHostStoragePathNumberReadAveragedAverage,
    host_drivers.VSphereHostStoragePathNumberWriteAveragedAverage,
    host_drivers.VSphereHostStoragePathReadAverage,
    host_drivers.VSphereHostStoragePathThroughputContAverage,
    host_drivers.VSphereHostStoragePathThroughputUsageAverage,
    host_drivers.VSphereHostStoragePathTotalReadLatencyAverage,
    host_drivers.VSphereHostStoragePathTotalWriteLatencyAverage,
    host_drivers.VSphereHostStoragePathWriteAverage,
    host_drivers.VSphereHostSysDiskUsageLatest,
    host_drivers.VSphereHostSysHeartbeatLatest,
    host_drivers.VSphereHostSysHeartbeatSummation,
    host_drivers.VSphereHostSysOsUptimeLatest,
    host_drivers.VSphereHostSysResourceCpuAct1Latest,
    host_drivers.VSphereHostSysResourceCpuAct5Latest,
    host_drivers.VSphereHostSysResourceCpuAllocMaxLatest,
    host_drivers.VSphereHostSysResourceCpuAllocMinLatest,
    host_drivers.VSphereHostSysResourceCpuAllocSharesLatest,
    host_drivers.VSphereHostSysResourceCpuMaxLimited1Latest,
    host_drivers.VSphereHostSysResourceCpuMaxLimited5Latest,
    host_drivers.VSphereHostSysResourceCpuRun1Latest,
    host_drivers.VSphereHostSysResourceCpuRun5Latest,
    host_drivers.VSphereHostSysResourceCpuUsage,
    host_drivers.VSphereHostSysResourceCpuUsageAverage,
    host_drivers.VSphereHostSysResourceCpuUsageMaximum,
    host_drivers.VSphereHostSysResourceCpuUsageMinimum,
    host_drivers.VSphereHostSysResourceFdUsageLatest,
    host_drivers.VSphereHostSysResourceMemAllocMaxLatest,
    host_drivers.VSphereHostSysResourceMemAllocMinLatest,
    host_drivers.VSphereHostSysResourceMemAllocSharesLatest,
    host_drivers.VSphereHostSysResourceMemConsumedLatest,
    host_drivers.VSphereHostSysResourceMemCowLatest,
    host_drivers.VSphereHostSysResourceMemMappedLatest,
    host_drivers.VSphereHostSysResourceMemOverheadLatest,
    host_drivers.VSphereHostSysResourceMemSharedLatest,
    host_drivers.VSphereHostSysResourceMemSwappedLatest,
    host_drivers.VSphereHostSysResourceMemTouchedLatest,
    host_drivers.VSphereHostSysResourceMemZeroLatest,
    host_drivers.VSphereHostSysUptimeLatest,
    host_drivers.VSphereHostVcDebugInfoActivationlatencystatsMaximum,
    host_drivers.VSphereHostVcDebugInfoActivationlatencystatsMinimum,
    host_drivers.VSphereHostVcDebugInfoActivationlatencystatsSummation,
    host_drivers.VSphereHostVcDebugInfoActivationstatsMaximum,
    host_drivers.VSphereHostVcDebugInfoActivationstatsMinimum,
    host_drivers.VSphereHostVcDebugInfoActivationstatsSummation,
    host_drivers.VSphereHostVcDebugInfoHostsynclatencystatsMaximum,
    host_drivers.VSphereHostVcDebugInfoHostsynclatencystatsMinimum,
    host_drivers.VSphereHostVcDebugInfoHostsynclatencystatsSummation,
    host_drivers.VSphereHostVcDebugInfoHostsyncstatsMaximum,
    host_drivers.VSphereHostVcDebugInfoHostsyncstatsMinimum,
    host_drivers.VSphereHostVcDebugInfoHostsyncstatsSummation,
    host_drivers.VSphereHostVcDebugInfoInventorystatsMaximum,
    host_drivers.VSphereHostVcDebugInfoInventorystatsMinimum,
    host_drivers.VSphereHostVcDebugInfoInventorystatsSummation,
    host_drivers.VSphereHostVcDebugInfoLockstatsMaximum,
    host_drivers.VSphereHostVcDebugInfoLockstatsMinimum,
    host_drivers.VSphereHostVcDebugInfoLockstatsSummation,
    host_drivers.VSphereHostVcDebugInfoLrostatsMaximum,
    host_drivers.VSphereHostVcDebugInfoLrostatsMinimum,
    host_drivers.VSphereHostVcDebugInfoLrostatsSummation,
    host_drivers.VSphereHostVcDebugInfoMiscstatsMaximum,
    host_drivers.VSphereHostVcDebugInfoMiscstatsMinimum,
    host_drivers.VSphereHostVcDebugInfoMiscstatsSummation,
    host_drivers.VSphereHostVcDebugInfoMorefregstatsMaximum,
    host_drivers.VSphereHostVcDebugInfoMorefregstatsMinimum,
    host_drivers.VSphereHostVcDebugInfoMorefregstatsSummation,
    host_drivers.VSphereHostVcDebugInfoScoreboardMaximum,
    host_drivers.VSphereHostVcDebugInfoScoreboardMinimum,
    host_drivers.VSphereHostVcDebugInfoScoreboardSummation,
    host_drivers.VSphereHostVcDebugInfoSessionstatsMaximum,
    host_drivers.VSphereHostVcDebugInfoSessionstatsMinimum,
    host_drivers.VSphereHostVcDebugInfoSessionstatsSummation,
    host_drivers.VSphereHostVcDebugInfoSystemstatsMaximum,
    host_drivers.VSphereHostVcDebugInfoSystemstatsMinimum,
    host_drivers.VSphereHostVcDebugInfoSystemstatsSummation,
    host_drivers.VSphereHostVcDebugInfoVcservicestatsMaximum,
    host_drivers.VSphereHostVcDebugInfoVcservicestatsMinimum,
    host_drivers.VSphereHostVcDebugInfoVcservicestatsSummation,
    host_drivers.VSphereHostVcResourcesCpuqueuelengthAverage,
    host_drivers.VSphereHostVcResourcesCtxswitchesrateAverage,
    host_drivers.VSphereHostVcResourcesDiskqueuelengthAverage,
    host_drivers.VSphereHostVcResourcesDiskreadbytesrateAverage,
    host_drivers.VSphereHostVcResourcesDiskreadsrateAverage,
    host_drivers.VSphereHostVcResourcesDiskwritebytesrateAverage,
    host_drivers.VSphereHostVcResourcesDiskwritesrateAverage,
    host_drivers.VSphereHostVcResourcesNetqueuelengthAverage,
    host_drivers.VSphereHostVcResourcesPacketrateAverage,
    host_drivers.VSphereHostVcResourcesPacketrecvrateAverage,
    host_drivers.VSphereHostVcResourcesPacketsentrateAverage,
    host_drivers.VSphereHostVcResourcesPagefaultrateAverage,
    host_drivers.VSphereHostVcResourcesPhysicalmemusageAverage,
    host_drivers.VSphereHostVcResourcesPoolnonpagedbytesAverage,
    host_drivers.VSphereHostVcResourcesPoolpagedbytesAverage,
    host_drivers.VSphereHostVcResourcesPriviledgedcpuusageAverage,
    host_drivers.VSphereHostVcResourcesProcesscpuusageAverage,
    host_drivers.VSphereHostVcResourcesProcesshandlesAverage,
    host_drivers.VSphereHostVcResourcesProcessthreadsAverage,
    host_drivers.VSphereHostVcResourcesSyscallsrateAverage,
    host_drivers.VSphereHostVcResourcesSystemcpuusageAverage,
    host_drivers.VSphereHostVcResourcesSystemnetusageAverage,
    host_drivers.VSphereHostVcResourcesSystemthreadsAverage,
    host_drivers.VSphereHostVcResourcesUsercpuusageAverage,
    host_drivers.VSphereHostVcResourcesVirtualmemusageAverage,
    host_drivers.VSphereHostVflashModuleNumActiveVMDKsLatest,
    host_drivers.VSphereHostVirtualDiskBusResetsSummation,
    host_drivers.VSphereHostVirtualDiskCommandsAbortedSummation,
    host_drivers.VSphereHostVirtualDiskLargeSeeksLatest,
    host_drivers.VSphereHostVirtualDiskMediumSeeksLatest,
    host_drivers.VSphereHostVirtualDiskNumberReadAveragedAverage,
    host_drivers.VSphereHostVirtualDiskNumberWriteAveragedAverage,
    host_drivers.VSphereHostVirtualDiskReadAverage,
    host_drivers.VSphereHostVirtualDiskReadIOSizeLatest,
    host_drivers.VSphereHostVirtualDiskReadLatencyUSLatest,
    host_drivers.VSphereHostVirtualDiskReadLoadMetricLatest,
    host_drivers.VSphereHostVirtualDiskReadOIOLatest,
    host_drivers.VSphereHostVirtualDiskSmallSeeksLatest,
    host_drivers.VSphereHostVirtualDiskThroughputContAverage,
    host_drivers.VSphereHostVirtualDiskThroughputUsageAverage,
    host_drivers.VSphereHostVirtualDiskTotalReadLatencyAverage,
    host_drivers.VSphereHostVirtualDiskTotalWriteLatencyAverage,
    host_drivers.VSphereHostVirtualDiskVFlashCacheIopsLatest,
    host_drivers.VSphereHostVirtualDiskVFlashCacheLatencyLatest,
    host_drivers.VSphereHostVirtualDiskVFlashCacheThroughputLatest,
    host_drivers.VSphereHostVirtualDiskWriteAverage,
    host_drivers.VSphereHostVirtualDiskWriteIOSizeLatest,
    host_drivers.VSphereHostVirtualDiskWriteLatencyUSLatest,
    host_drivers.VSphereHostVirtualDiskWriteLoadMetricLatest,
    host_drivers.VSphereHostVirtualDiskWriteOIOLatest,
    host_drivers.VSphereHostVmopNumChangeDSLatest,
    host_drivers.VSphereHostVmopNumChangeHostLatest,
    host_drivers.VSphereHostVmopNumChangeHostDSLatest,
    host_drivers.VSphereHostVmopNumCloneLatest,
    host_drivers.VSphereHostVmopNumCreateLatest,
    host_drivers.VSphereHostVmopNumDeployLatest,
    host_drivers.VSphereHostVmopNumDestroyLatest,
    host_drivers.VSphereHostVmopNumPoweroffLatest,
    host_drivers.VSphereHostVmopNumPoweronLatest,
    host_drivers.VSphereHostVmopNumRebootGuestLatest,
    host_drivers.VSphereHostVmopNumReconfigureLatest,
    host_drivers.VSphereHostVmopNumRegisterLatest,
    host_drivers.VSphereHostVmopNumResetLatest,
    host_drivers.VSphereHostVmopNumSVMotionLatest,
    host_drivers.VSphereHostVmopNumShutdownGuestLatest,
    host_drivers.VSphereHostVmopNumStandbyGuestLatest,
    host_drivers.VSphereHostVmopNumSuspendLatest,
    host_drivers.VSphereHostVmopNumUnregisterLatest,
    host_drivers.VSphereHostVmopNumVMotionLatest,
    host_drivers.VSphereHostVmopNumXVMotionLatest,
    host_drivers.VSphereHostVsanDomObjReadAvgLatencyAverage,
    host_drivers.VSphereHostVsanDomObjReadCacheHitRateLatest,
    host_drivers.VSphereHostVsanDomObjReadCongestionAverage,
    host_drivers.VSphereHostVsanDomObjReadIopsAverage,
    host_drivers.VSphereHostVsanDomObjReadMaxLatencyLatest,
    host_drivers.VSphereHostVsanDomObjReadThroughputAverage,
    host_drivers.VSphereHostVsanDomObjRecoveryWriteAvgLatencyAverage,
    host_drivers.VSphereHostVsanDomObjRecoveryWriteCongestionAverage,
    host_drivers.VSphereHostVsanDomObjRecoveryWriteIopsAverage,
    host_drivers.VSphereHostVsanDomObjRecoveryWriteMaxLatencyLatest,
    host_drivers.VSphereHostVsanDomObjRecoveryWriteThroughputAverage,
    host_drivers.VSphereHostVsanDomObjWriteAvgLatencyAverage,
    host_drivers.VSphereHostVsanDomObjWriteCongestionAverage,
    host_drivers.VSphereHostVsanDomObjWriteIopsAverage,
    host_drivers.VSphereHostVsanDomObjWriteMaxLatencyLatest,
    host_drivers.VSphereHostVsanDomObjWriteThroughputAverage,

    vm_drivers.VSphereVmClusterServicesCpufairnessLatest,
    vm_drivers.VSphereVmClusterServicesEffectivecpuAverage,
    vm_drivers.VSphereVmClusterServicesEffectivememAverage,
    vm_drivers.VSphereVmClusterServicesFailoverLatest,
    vm_drivers.VSphereVmClusterServicesMemfairnessLatest,
    vm_drivers.VSphereVmCpuCapacityContentionAverage,
    vm_drivers.VSphereVmCpuCapacityDemandAverage,
    vm_drivers.VSphereVmCpuCapacityEntitlementAverage,
    vm_drivers.VSphereVmCpuCapacityProvisionedAverage,
    vm_drivers.VSphereVmCpuCapacityUsageAverage,
    vm_drivers.VSphereVmCpuCoreUtilization,
    vm_drivers.VSphereVmCpuCoreUtilizationAverage,
    vm_drivers.VSphereVmCpuCoreUtilizationMaximum,
    vm_drivers.VSphereVmCpuCoreUtilizationMinimum,
    vm_drivers.VSphereVmCpuCorecountContentionAverage,
    vm_drivers.VSphereVmCpuCorecountProvisionedAverage,
    vm_drivers.VSphereVmCpuCorecountUsageAverage,
    vm_drivers.VSphereVmCpuCostopSummation,
    vm_drivers.VSphereVmCpuCpuentitlementLatest,
    vm_drivers.VSphereVmCpuDemandAverage,
    vm_drivers.VSphereVmCpuDemandEntitlementRatioLatest,
    vm_drivers.VSphereVmCpuEntitlementLatest,
    vm_drivers.VSphereVmCpuIdleSummation,
    vm_drivers.VSphereVmCpuLatencyAverage,
    vm_drivers.VSphereVmCpuMaxlimitedSummation,
    vm_drivers.VSphereVmCpuOverlapSummation,
    vm_drivers.VSphereVmCpuReadinessAverage,
    vm_drivers.VSphereVmCpuReadySummation,
    vm_drivers.VSphereVmCpuReservedCapacityAverage,
    vm_drivers.VSphereVmCpuRunSummation,
    vm_drivers.VSphereVmCpuSwapwaitSummation,
    vm_drivers.VSphereVmCpuSystemSummation,
    vm_drivers.VSphereVmCpuTotalCapacityAverage,
    vm_drivers.VSphereVmCpuTotalmhzAverage,
    vm_drivers.VSphereVmCpuUsage,
    vm_drivers.VSphereVmCpuUsageAverage,
    vm_drivers.VSphereVmCpuUsageMaximum,
    vm_drivers.VSphereVmCpuUsageMinimum,
    vm_drivers.VSphereVmCpuUsagemhz,
    vm_drivers.VSphereVmCpuUsagemhzAverage,
    vm_drivers.VSphereVmCpuUsagemhzMaximum,
    vm_drivers.VSphereVmCpuUsagemhzMinimum,
    vm_drivers.VSphereVmCpuUsedSummation,
    vm_drivers.VSphereVmCpuUtilization,
    vm_drivers.VSphereVmCpuUtilizationAverage,
    vm_drivers.VSphereVmCpuUtilizationMaximum,
    vm_drivers.VSphereVmCpuUtilizationMinimum,
    vm_drivers.VSphereVmCpuWaitSummation,
    vm_drivers.VSphereVmDatastoreBusResetsSummation,
    vm_drivers.VSphereVmDatastoreCommandsAbortedSummation,
    vm_drivers.VSphereVmDatastoreDatastoreIopsAverage,
    vm_drivers.VSphereVmDatastoreDatastoreMaxQueueDepthLatest,
    vm_drivers.VSphereVmDatastoreDatastoreNormalReadLatencyLatest,
    vm_drivers.VSphereVmDatastoreDatastoreNormalWriteLatencyLatest,
    vm_drivers.VSphereVmDatastoreDatastoreReadBytesLatest,
    vm_drivers.VSphereVmDatastoreDatastoreReadIopsLatest,
    vm_drivers.VSphereVmDatastoreDatastoreReadLoadMetricLatest,
    vm_drivers.VSphereVmDatastoreDatastoreReadOIOLatest,
    vm_drivers.VSphereVmDatastoreDatastoreVMObservedLatencyLatest,
    vm_drivers.VSphereVmDatastoreDatastoreWriteBytesLatest,
    vm_drivers.VSphereVmDatastoreDatastoreWriteIopsLatest,
    vm_drivers.VSphereVmDatastoreDatastoreWriteLoadMetricLatest,
    vm_drivers.VSphereVmDatastoreDatastoreWriteOIOLatest,
    vm_drivers.VSphereVmDatastoreMaxTotalLatencyLatest,
    vm_drivers.VSphereVmDatastoreNumberReadAveragedAverage,
    vm_drivers.VSphereVmDatastoreNumberWriteAveragedAverage,
    vm_drivers.VSphereVmDatastoreReadAverage,
    vm_drivers.VSphereVmDatastoreSiocActiveTimePercentageAverage,
    vm_drivers.VSphereVmDatastoreSizeNormalizedDatastoreLatencyAverage,
    vm_drivers.VSphereVmDatastoreThroughputContentionAverage,
    vm_drivers.VSphereVmDatastoreThroughputUsageAverage,
    vm_drivers.VSphereVmDatastoreTotalReadLatencyAverage,
    vm_drivers.VSphereVmDatastoreTotalWriteLatencyAverage,
    vm_drivers.VSphereVmDatastoreWriteAverage,
    vm_drivers.VSphereVmDiskBusResetsSummation,
    vm_drivers.VSphereVmDiskCapacityContentionAverage,
    vm_drivers.VSphereVmDiskCapacityLatest,
    vm_drivers.VSphereVmDiskCapacityProvisionedAverage,
    vm_drivers.VSphereVmDiskCapacityUsageAverage,
    vm_drivers.VSphereVmDiskCommandsSummation,
    vm_drivers.VSphereVmDiskCommandsAbortedSummation,
    vm_drivers.VSphereVmDiskCommandsAveragedAverage,
    vm_drivers.VSphereVmDiskDeltausedLatest,
    vm_drivers.VSphereVmDiskDeviceLatencyAverage,
    vm_drivers.VSphereVmDiskDeviceReadLatencyAverage,
    vm_drivers.VSphereVmDiskDeviceWriteLatencyAverage,
    vm_drivers.VSphereVmDiskKernelLatencyAverage,
    vm_drivers.VSphereVmDiskKernelReadLatencyAverage,
    vm_drivers.VSphereVmDiskKernelWriteLatencyAverage,
    vm_drivers.VSphereVmDiskMaxQueueDepthAverage,
    vm_drivers.VSphereVmDiskMaxTotalLatencyLatest,
    vm_drivers.VSphereVmDiskNumberReadSummation,
    vm_drivers.VSphereVmDiskNumberReadAveragedAverage,
    vm_drivers.VSphereVmDiskNumberWriteSummation,
    vm_drivers.VSphereVmDiskNumberWriteAveragedAverage,
    vm_drivers.VSphereVmDiskProvisionedLatest,
    vm_drivers.VSphereVmDiskQueueLatencyAverage,
    vm_drivers.VSphereVmDiskQueueReadLatencyAverage,
    vm_drivers.VSphereVmDiskQueueWriteLatencyAverage,
    vm_drivers.VSphereVmDiskReadAverage,
    vm_drivers.VSphereVmDiskScsiReservationCnflctsPctAverage,
    vm_drivers.VSphereVmDiskScsiReservationConflictsSummation,
    vm_drivers.VSphereVmDiskThroughputContentionAverage,
    vm_drivers.VSphereVmDiskThroughputUsageAverage,
    vm_drivers.VSphereVmDiskTotalLatencyAverage,
    vm_drivers.VSphereVmDiskTotalReadLatencyAverage,
    vm_drivers.VSphereVmDiskTotalWriteLatencyAverage,
    vm_drivers.VSphereVmDiskUnsharedLatest,
    vm_drivers.VSphereVmDiskUsage,
    vm_drivers.VSphereVmDiskUsageAverage,
    vm_drivers.VSphereVmDiskUsageMaximum,
    vm_drivers.VSphereVmDiskUsageMinimum,
    vm_drivers.VSphereVmDiskUsedLatest,
    vm_drivers.VSphereVmDiskWriteAverage,
    vm_drivers.VSphereVmHbrHbrNetRxAverage,
    vm_drivers.VSphereVmHbrHbrNetTxAverage,
    vm_drivers.VSphereVmHbrHbrNumVmsAverage,
    vm_drivers.VSphereVmManagementAgentCpuUsageAverage,
    vm_drivers.VSphereVmManagementAgentMemUsedAverage,
    vm_drivers.VSphereVmManagementAgentSwapInAverage,
    vm_drivers.VSphereVmManagementAgentSwapOutAverage,
    vm_drivers.VSphereVmManagementAgentSwapUsedAverage,
    vm_drivers.VSphereVmMemActive,
    vm_drivers.VSphereVmMemActiveAverage,
    vm_drivers.VSphereVmMemActiveMaximum,
    vm_drivers.VSphereVmMemActiveMinimum,
    vm_drivers.VSphereVmMemActivewriteAverage,
    vm_drivers.VSphereVmMemCapacityContentionAverage,
    vm_drivers.VSphereVmMemCapacityEntitlementAverage,
    vm_drivers.VSphereVmMemCapacityProvisionedAverage,
    vm_drivers.VSphereVmMemCapacityUsableAverage,
    vm_drivers.VSphereVmMemCapacityUsageAverage,
    vm_drivers.VSphereVmMemCapacityUsageUserworldAverage,
    vm_drivers.VSphereVmMemCapacityUsageVmAverage,
    vm_drivers.VSphereVmMemCapacityUsageVmOvrhdAverage,
    vm_drivers.VSphereVmMemCapacityUsageVmkOvrhdAverage,
    vm_drivers.VSphereVmMemCompressedAverage,
    vm_drivers.VSphereVmMemCompressionRateAverage,
    vm_drivers.VSphereVmMemConsumed,
    vm_drivers.VSphereVmMemConsumedAverage,
    vm_drivers.VSphereVmMemConsumedMaximum,
    vm_drivers.VSphereVmMemConsumedMinimum,
    vm_drivers.VSphereVmMemConsumedUserworldsAverage,
    vm_drivers.VSphereVmMemConsumedVmsAverage,
    vm_drivers.VSphereVmMemDecompressionRateAverage,
    vm_drivers.VSphereVmMemEntitlementAverage,
    vm_drivers.VSphereVmMemGranted,
    vm_drivers.VSphereVmMemGrantedAverage,
    vm_drivers.VSphereVmMemGrantedMaximum,
    vm_drivers.VSphereVmMemGrantedMinimum,
    vm_drivers.VSphereVmMemHeap,
    vm_drivers.VSphereVmMemHeapAverage,
    vm_drivers.VSphereVmMemHeapMaximum,
    vm_drivers.VSphereVmMemHeapMinimum,
    vm_drivers.VSphereVmMemHeapfree,
    vm_drivers.VSphereVmMemHeapfreeAverage,
    vm_drivers.VSphereVmMemHeapfreeMaximum,
    vm_drivers.VSphereVmMemHeapfreeMinimum,
    vm_drivers.VSphereVmMemLatencyAverage,
    vm_drivers.VSphereVmMemLlSwapIn,
    vm_drivers.VSphereVmMemLlSwapInAverage,
    vm_drivers.VSphereVmMemLlSwapInMaximum,
    vm_drivers.VSphereVmMemLlSwapInMinimum,
    vm_drivers.VSphereVmMemLlSwapInRateAverage,
    vm_drivers.VSphereVmMemLlSwapOut,
    vm_drivers.VSphereVmMemLlSwapOutAverage,
    vm_drivers.VSphereVmMemLlSwapOutMaximum,
    vm_drivers.VSphereVmMemLlSwapOutMinimum,
    vm_drivers.VSphereVmMemLlSwapOutRateAverage,
    vm_drivers.VSphereVmMemLlSwapUsed,
    vm_drivers.VSphereVmMemLlSwapUsedAverage,
    vm_drivers.VSphereVmMemLlSwapUsedMaximum,
    vm_drivers.VSphereVmMemLlSwapUsedMinimum,
    vm_drivers.VSphereVmMemLowfreethresholdAverage,
    vm_drivers.VSphereVmMemMementitlementLatest,
    vm_drivers.VSphereVmMemOverhead,
    vm_drivers.VSphereVmMemOverheadAverage,
    vm_drivers.VSphereVmMemOverheadMaximum,
    vm_drivers.VSphereVmMemOverheadMinimum,
    vm_drivers.VSphereVmMemOverheadMaxAverage,
    vm_drivers.VSphereVmMemOverheadTouchedAverage,
    vm_drivers.VSphereVmMemReservedCapacityAverage,
    vm_drivers.VSphereVmMemReservedCapacityUserworldAverage,
    vm_drivers.VSphereVmMemReservedCapacityVmAverage,
    vm_drivers.VSphereVmMemReservedCapacityVmOvhdAverage,
    vm_drivers.VSphereVmMemReservedCapacityVmkOvrhdAverage,
    vm_drivers.VSphereVmMemReservedCapacityPctAverage,
    vm_drivers.VSphereVmMemShared,
    vm_drivers.VSphereVmMemSharedAverage,
    vm_drivers.VSphereVmMemSharedMaximum,
    vm_drivers.VSphereVmMemSharedMinimum,
    vm_drivers.VSphereVmMemSharedcommon,
    vm_drivers.VSphereVmMemSharedcommonAverage,
    vm_drivers.VSphereVmMemSharedcommonMaximum,
    vm_drivers.VSphereVmMemSharedcommonMinimum,
    vm_drivers.VSphereVmMemStateLatest,
    vm_drivers.VSphereVmMemSwapIn,
    vm_drivers.VSphereVmMemSwapInAverage,
    vm_drivers.VSphereVmMemSwapInMaximum,
    vm_drivers.VSphereVmMemSwapInMinimum,
    vm_drivers.VSphereVmMemSwapOut,
    vm_drivers.VSphereVmMemSwapOutAverage,
    vm_drivers.VSphereVmMemSwapOutMaximum,
    vm_drivers.VSphereVmMemSwapOutMinimum,
    vm_drivers.VSphereVmMemSwapin,
    vm_drivers.VSphereVmMemSwapinAverage,
    vm_drivers.VSphereVmMemSwapinMaximum,
    vm_drivers.VSphereVmMemSwapinMinimum,
    vm_drivers.VSphereVmMemSwapinRateAverage,
    vm_drivers.VSphereVmMemSwapout,
    vm_drivers.VSphereVmMemSwapoutAverage,
    vm_drivers.VSphereVmMemSwapoutMaximum,
    vm_drivers.VSphereVmMemSwapoutMinimum,
    vm_drivers.VSphereVmMemSwapoutRateAverage,
    vm_drivers.VSphereVmMemSwapped,
    vm_drivers.VSphereVmMemSwappedAverage,
    vm_drivers.VSphereVmMemSwappedMaximum,
    vm_drivers.VSphereVmMemSwappedMinimum,
    vm_drivers.VSphereVmMemSwaptarget,
    vm_drivers.VSphereVmMemSwaptargetAverage,
    vm_drivers.VSphereVmMemSwaptargetMaximum,
    vm_drivers.VSphereVmMemSwaptargetMinimum,
    vm_drivers.VSphereVmMemSwapunreserved,
    vm_drivers.VSphereVmMemSwapunreservedAverage,
    vm_drivers.VSphereVmMemSwapunreservedMaximum,
    vm_drivers.VSphereVmMemSwapunreservedMinimum,
    vm_drivers.VSphereVmMemSwapused,
    vm_drivers.VSphereVmMemSwapusedAverage,
    vm_drivers.VSphereVmMemSwapusedMaximum,
    vm_drivers.VSphereVmMemSwapusedMinimum,
    vm_drivers.VSphereVmMemSysUsage,
    vm_drivers.VSphereVmMemSysUsageAverage,
    vm_drivers.VSphereVmMemSysUsageMaximum,
    vm_drivers.VSphereVmMemSysUsageMinimum,
    vm_drivers.VSphereVmMemTotalCapacityAverage,
    vm_drivers.VSphereVmMemTotalmbAverage,
    vm_drivers.VSphereVmMemUnreserved,
    vm_drivers.VSphereVmMemUnreservedAverage,
    vm_drivers.VSphereVmMemUnreservedMaximum,
    vm_drivers.VSphereVmMemUnreservedMinimum,
    vm_drivers.VSphereVmMemUsage,
    vm_drivers.VSphereVmMemUsageAverage,
    vm_drivers.VSphereVmMemUsageMaximum,
    vm_drivers.VSphereVmMemUsageMinimum,
    vm_drivers.VSphereVmMemVmfsPbcCapMissRatioLatest,
    vm_drivers.VSphereVmMemVmfsPbcOverheadLatest,
    vm_drivers.VSphereVmMemVmfsPbcSizeLatest,
    vm_drivers.VSphereVmMemVmfsPbcSizeMaxLatest,
    vm_drivers.VSphereVmMemVmfsPbcWorkingSetLatest,
    vm_drivers.VSphereVmMemVmfsPbcWorkingSetMaxLatest,
    vm_drivers.VSphereVmMemVmmemctl,
    vm_drivers.VSphereVmMemVmmemctlAverage,
    vm_drivers.VSphereVmMemVmmemctlMaximum,
    vm_drivers.VSphereVmMemVmmemctlMinimum,
    vm_drivers.VSphereVmMemVmmemctltarget,
    vm_drivers.VSphereVmMemVmmemctltargetAverage,
    vm_drivers.VSphereVmMemVmmemctltargetMaximum,
    vm_drivers.VSphereVmMemVmmemctltargetMinimum,
    vm_drivers.VSphereVmMemZero,
    vm_drivers.VSphereVmMemZeroAverage,
    vm_drivers.VSphereVmMemZeroMaximum,
    vm_drivers.VSphereVmMemZeroMinimum,
    vm_drivers.VSphereVmMemZipSavedLatest,
    vm_drivers.VSphereVmMemZippedLatest,
    vm_drivers.VSphereVmNetBroadcastRxSummation,
    vm_drivers.VSphereVmNetBroadcastTxSummation,
    vm_drivers.VSphereVmNetBytesRxAverage,
    vm_drivers.VSphereVmNetBytesTxAverage,
    vm_drivers.VSphereVmNetDroppedRxSummation,
    vm_drivers.VSphereVmNetDroppedTxSummation,
    vm_drivers.VSphereVmNetErrorsRxSummation,
    vm_drivers.VSphereVmNetErrorsTxSummation,
    vm_drivers.VSphereVmNetMulticastRxSummation,
    vm_drivers.VSphereVmNetMulticastTxSummation,
    vm_drivers.VSphereVmNetPacketsRxSummation,
    vm_drivers.VSphereVmNetPacketsTxSummation,
    vm_drivers.VSphereVmNetReceivedAverage,
    vm_drivers.VSphereVmNetThroughputContentionSummation,
    vm_drivers.VSphereVmNetThroughputDroppedRxAverage,
    vm_drivers.VSphereVmNetThroughputDroppedTxAverage,
    vm_drivers.VSphereVmNetThroughputPacketsPerSecAverage,
    vm_drivers.VSphereVmNetThroughputPktsRxAverage,
    vm_drivers.VSphereVmNetThroughputPktsRxBroadcastAverage,
    vm_drivers.VSphereVmNetThroughputPktsRxMulticastAverage,
    vm_drivers.VSphereVmNetThroughputPktsTxAverage,
    vm_drivers.VSphereVmNetThroughputPktsTxBroadcastAverage,
    vm_drivers.VSphereVmNetThroughputPktsTxMulticastAverage,
    vm_drivers.VSphereVmNetThroughputProvisionedAverage,
    vm_drivers.VSphereVmNetThroughputUsableAverage,
    vm_drivers.VSphereVmNetThroughputUsageAverage,
    vm_drivers.VSphereVmNetThroughputUsageFtAverage,
    vm_drivers.VSphereVmNetThroughputUsageHbrAverage,
    vm_drivers.VSphereVmNetThroughputUsageIscsiAverage,
    vm_drivers.VSphereVmNetThroughputUsageNfsAverage,
    vm_drivers.VSphereVmNetThroughputUsageVmAverage,
    vm_drivers.VSphereVmNetThroughputUsageVmotionAverage,
    vm_drivers.VSphereVmNetThroughputVdsArpFoundAverage,
    vm_drivers.VSphereVmNetThroughputVdsArpFoundSummation,
    vm_drivers.VSphereVmNetThroughputVdsArpLKUPFullAverage,
    vm_drivers.VSphereVmNetThroughputVdsArpLKUPFullSummation,
    vm_drivers.VSphereVmNetThroughputVdsArpTimeoutAverage,
    vm_drivers.VSphereVmNetThroughputVdsArpTimeoutSummation,
    vm_drivers.VSphereVmNetThroughputVdsArpUnknownAverage,
    vm_drivers.VSphereVmNetThroughputVdsArpUnknownSummation,
    vm_drivers.VSphereVmNetThroughputVdsArpWaitAverage,
    vm_drivers.VSphereVmNetThroughputVdsArpWaitSummation,
    vm_drivers.VSphereVmNetThroughputVdsDroppedRxAverage,
    vm_drivers.VSphereVmNetThroughputVdsDroppedTxAverage,
    vm_drivers.VSphereVmNetThroughputVdsLagDropRxAverage,
    vm_drivers.VSphereVmNetThroughputVdsLagDropTxAverage,
    vm_drivers.VSphereVmNetThroughputVdsLagRxAverage,
    vm_drivers.VSphereVmNetThroughputVdsLagRxBcastAverage,
    vm_drivers.VSphereVmNetThroughputVdsLagRxMcastAverage,
    vm_drivers.VSphereVmNetThroughputVdsLagTxAverage,
    vm_drivers.VSphereVmNetThroughputVdsLagTxBcastAverage,
    vm_drivers.VSphereVmNetThroughputVdsLagTxMcastAverage,
    vm_drivers.VSphereVmNetThroughputVdsMacFloodAverage,
    vm_drivers.VSphereVmNetThroughputVdsMacFloodSummation,
    vm_drivers.VSphereVmNetThroughputVdsMacLKUPFullAverage,
    vm_drivers.VSphereVmNetThroughputVdsMacLKUPFullSummation,
    vm_drivers.VSphereVmNetThroughputVdsMacUPDTFullAverage,
    vm_drivers.VSphereVmNetThroughputVdsMacUPDTFullSummation,
    vm_drivers.VSphereVmNetThroughputVdsPktsRxAverage,
    vm_drivers.VSphereVmNetThroughputVdsPktsRxBcastAverage,
    vm_drivers.VSphereVmNetThroughputVdsPktsRxMcastAverage,
    vm_drivers.VSphereVmNetThroughputVdsPktsTxAverage,
    vm_drivers.VSphereVmNetThroughputVdsPktsTxBcastAverage,
    vm_drivers.VSphereVmNetThroughputVdsPktsTxMcastAverage,
    vm_drivers.VSphereVmNetThroughputVdsRxDestErrAverage,
    vm_drivers.VSphereVmNetThroughputVdsRxDestErrSummation,
    vm_drivers.VSphereVmNetThroughputVdsRxDropAverage,
    vm_drivers.VSphereVmNetThroughputVdsRxDropSummation,
    vm_drivers.VSphereVmNetThroughputVdsRxTotalAverage,
    vm_drivers.VSphereVmNetThroughputVdsRxTotalSummation,
    vm_drivers.VSphereVmNetThroughputVdsTxCrsRouterAverage,
    vm_drivers.VSphereVmNetThroughputVdsTxCrsRouterSummation,
    vm_drivers.VSphereVmNetThroughputVdsTxDropAverage,
    vm_drivers.VSphereVmNetThroughputVdsTxDropSummation,
    vm_drivers.VSphereVmNetThroughputVdsTxNoUnicastAverage,
    vm_drivers.VSphereVmNetThroughputVdsTxNoUnicastSummation,
    vm_drivers.VSphereVmNetThroughputVdsTxTotalAverage,
    vm_drivers.VSphereVmNetThroughputVdsTxTotalSummation,
    vm_drivers.VSphereVmNetTransmittedAverage,
    vm_drivers.VSphereVmNetUnknownProtosSummation,
    vm_drivers.VSphereVmNetUsage,
    vm_drivers.VSphereVmNetUsageAverage,
    vm_drivers.VSphereVmNetUsageMaximum,
    vm_drivers.VSphereVmNetUsageMinimum,
    vm_drivers.VSphereVmPowerCapacityUsableAverage,
    vm_drivers.VSphereVmPowerCapacityUsageAverage,
    vm_drivers.VSphereVmPowerCapacityUsagePctAverage,
    vm_drivers.VSphereVmPowerEnergySummation,
    vm_drivers.VSphereVmPowerPowerAverage,
    vm_drivers.VSphereVmPowerPowerCapAverage,
    vm_drivers.VSphereVmRescpuActav1Latest,
    vm_drivers.VSphereVmRescpuActav15Latest,
    vm_drivers.VSphereVmRescpuActav5Latest,
    vm_drivers.VSphereVmRescpuActpk1Latest,
    vm_drivers.VSphereVmRescpuActpk15Latest,
    vm_drivers.VSphereVmRescpuActpk5Latest,
    vm_drivers.VSphereVmRescpuMaxLimited1Latest,
    vm_drivers.VSphereVmRescpuMaxLimited15Latest,
    vm_drivers.VSphereVmRescpuMaxLimited5Latest,
    vm_drivers.VSphereVmRescpuRunav1Latest,
    vm_drivers.VSphereVmRescpuRunav15Latest,
    vm_drivers.VSphereVmRescpuRunav5Latest,
    vm_drivers.VSphereVmRescpuRunpk1Latest,
    vm_drivers.VSphereVmRescpuRunpk15Latest,
    vm_drivers.VSphereVmRescpuRunpk5Latest,
    vm_drivers.VSphereVmRescpuSampleCountLatest,
    vm_drivers.VSphereVmRescpuSamplePeriodLatest,
    vm_drivers.VSphereVmStorageAdapterOIOsPctAverage,
    vm_drivers.VSphereVmStorageAdapterCommandsAveragedAverage,
    vm_drivers.VSphereVmStorageAdapterMaxTotalLatencyLatest,
    vm_drivers.VSphereVmStorageAdapterNumberReadAveragedAverage,
    vm_drivers.VSphereVmStorageAdapterNumberWriteAveragedAverage,
    vm_drivers.VSphereVmStorageAdapterOutstandingIOsAverage,
    vm_drivers.VSphereVmStorageAdapterQueueDepthAverage,
    vm_drivers.VSphereVmStorageAdapterQueueLatencyAverage,
    vm_drivers.VSphereVmStorageAdapterQueuedAverage,
    vm_drivers.VSphereVmStorageAdapterReadAverage,
    vm_drivers.VSphereVmStorageAdapterThroughputContAverage,
    vm_drivers.VSphereVmStorageAdapterThroughputUsagAverage,
    vm_drivers.VSphereVmStorageAdapterTotalReadLatencyAverage,
    vm_drivers.VSphereVmStorageAdapterTotalWriteLatencyAverage,
    vm_drivers.VSphereVmStorageAdapterWriteAverage,
    vm_drivers.VSphereVmStoragePathBusResetsSummation,
    vm_drivers.VSphereVmStoragePathCommandsAbortedSummation,
    vm_drivers.VSphereVmStoragePathCommandsAveragedAverage,
    vm_drivers.VSphereVmStoragePathMaxTotalLatencyLatest,
    vm_drivers.VSphereVmStoragePathNumberReadAveragedAverage,
    vm_drivers.VSphereVmStoragePathNumberWriteAveragedAverage,
    vm_drivers.VSphereVmStoragePathReadAverage,
    vm_drivers.VSphereVmStoragePathThroughputContAverage,
    vm_drivers.VSphereVmStoragePathThroughputUsageAverage,
    vm_drivers.VSphereVmStoragePathTotalReadLatencyAverage,
    vm_drivers.VSphereVmStoragePathTotalWriteLatencyAverage,
    vm_drivers.VSphereVmStoragePathWriteAverage,
    vm_drivers.VSphereVmSysDiskUsageLatest,
    vm_drivers.VSphereVmSysHeartbeatLatest,
    vm_drivers.VSphereVmSysHeartbeatSummation,
    vm_drivers.VSphereVmSysOsUptimeLatest,
    vm_drivers.VSphereVmSysResourceCpuAct1Latest,
    vm_drivers.VSphereVmSysResourceCpuAct5Latest,
    vm_drivers.VSphereVmSysResourceCpuAllocMaxLatest,
    vm_drivers.VSphereVmSysResourceCpuAllocMinLatest,
    vm_drivers.VSphereVmSysResourceCpuAllocSharesLatest,
    vm_drivers.VSphereVmSysResourceCpuMaxLimited1Latest,
    vm_drivers.VSphereVmSysResourceCpuMaxLimited5Latest,
    vm_drivers.VSphereVmSysResourceCpuRun1Latest,
    vm_drivers.VSphereVmSysResourceCpuRun5Latest,
    vm_drivers.VSphereVmSysResourceCpuUsage,
    vm_drivers.VSphereVmSysResourceCpuUsageAverage,
    vm_drivers.VSphereVmSysResourceCpuUsageMaximum,
    vm_drivers.VSphereVmSysResourceCpuUsageMinimum,
    vm_drivers.VSphereVmSysResourceFdUsageLatest,
    vm_drivers.VSphereVmSysResourceMemAllocMaxLatest,
    vm_drivers.VSphereVmSysResourceMemAllocMinLatest,
    vm_drivers.VSphereVmSysResourceMemAllocSharesLatest,
    vm_drivers.VSphereVmSysResourceMemConsumedLatest,
    vm_drivers.VSphereVmSysResourceMemCowLatest,
    vm_drivers.VSphereVmSysResourceMemMappedLatest,
    vm_drivers.VSphereVmSysResourceMemOverheadLatest,
    vm_drivers.VSphereVmSysResourceMemSharedLatest,
    vm_drivers.VSphereVmSysResourceMemSwappedLatest,
    vm_drivers.VSphereVmSysResourceMemTouchedLatest,
    vm_drivers.VSphereVmSysResourceMemZeroLatest,
    vm_drivers.VSphereVmSysUptimeLatest,
    vm_drivers.VSphereVmVcDebugInfoActivationlatencystatsMaximum,
    vm_drivers.VSphereVmVcDebugInfoActivationlatencystatsMinimum,
    vm_drivers.VSphereVmVcDebugInfoActivationlatencystatsSummation,
    vm_drivers.VSphereVmVcDebugInfoActivationstatsMaximum,
    vm_drivers.VSphereVmVcDebugInfoActivationstatsMinimum,
    vm_drivers.VSphereVmVcDebugInfoActivationstatsSummation,
    vm_drivers.VSphereVmVcDebugInfoHostsynclatencystatsMaximum,
    vm_drivers.VSphereVmVcDebugInfoHostsynclatencystatsMinimum,
    vm_drivers.VSphereVmVcDebugInfoHostsynclatencystatsSummation,
    vm_drivers.VSphereVmVcDebugInfoHostsyncstatsMaximum,
    vm_drivers.VSphereVmVcDebugInfoHostsyncstatsMinimum,
    vm_drivers.VSphereVmVcDebugInfoHostsyncstatsSummation,
    vm_drivers.VSphereVmVcDebugInfoInventorystatsMaximum,
    vm_drivers.VSphereVmVcDebugInfoInventorystatsMinimum,
    vm_drivers.VSphereVmVcDebugInfoInventorystatsSummation,
    vm_drivers.VSphereVmVcDebugInfoLockstatsMaximum,
    vm_drivers.VSphereVmVcDebugInfoLockstatsMinimum,
    vm_drivers.VSphereVmVcDebugInfoLockstatsSummation,
    vm_drivers.VSphereVmVcDebugInfoLrostatsMaximum,
    vm_drivers.VSphereVmVcDebugInfoLrostatsMinimum,
    vm_drivers.VSphereVmVcDebugInfoLrostatsSummation,
    vm_drivers.VSphereVmVcDebugInfoMiscstatsMaximum,
    vm_drivers.VSphereVmVcDebugInfoMiscstatsMinimum,
    vm_drivers.VSphereVmVcDebugInfoMiscstatsSummation,
    vm_drivers.VSphereVmVcDebugInfoMorefregstatsMaximum,
    vm_drivers.VSphereVmVcDebugInfoMorefregstatsMinimum,
    vm_drivers.VSphereVmVcDebugInfoMorefregstatsSummation,
    vm_drivers.VSphereVmVcDebugInfoScoreboardMaximum,
    vm_drivers.VSphereVmVcDebugInfoScoreboardMinimum,
    vm_drivers.VSphereVmVcDebugInfoScoreboardSummation,
    vm_drivers.VSphereVmVcDebugInfoSessionstatsMaximum,
    vm_drivers.VSphereVmVcDebugInfoSessionstatsMinimum,
    vm_drivers.VSphereVmVcDebugInfoSessionstatsSummation,
    vm_drivers.VSphereVmVcDebugInfoSystemstatsMaximum,
    vm_drivers.VSphereVmVcDebugInfoSystemstatsMinimum,
    vm_drivers.VSphereVmVcDebugInfoSystemstatsSummation,
    vm_drivers.VSphereVmVcDebugInfoVcservicestatsMaximum,
    vm_drivers.VSphereVmVcDebugInfoVcservicestatsMinimum,
    vm_drivers.VSphereVmVcDebugInfoVcservicestatsSummation,
    vm_drivers.VSphereVmVcResourcesCpuqueuelengthAverage,
    vm_drivers.VSphereVmVcResourcesCtxswitchesrateAverage,
    vm_drivers.VSphereVmVcResourcesDiskqueuelengthAverage,
    vm_drivers.VSphereVmVcResourcesDiskreadbytesrateAverage,
    vm_drivers.VSphereVmVcResourcesDiskreadsrateAverage,
    vm_drivers.VSphereVmVcResourcesDiskwritebytesrateAverage,
    vm_drivers.VSphereVmVcResourcesDiskwritesrateAverage,
    vm_drivers.VSphereVmVcResourcesNetqueuelengthAverage,
    vm_drivers.VSphereVmVcResourcesPacketrateAverage,
    vm_drivers.VSphereVmVcResourcesPacketrecvrateAverage,
    vm_drivers.VSphereVmVcResourcesPacketsentrateAverage,
    vm_drivers.VSphereVmVcResourcesPagefaultrateAverage,
    vm_drivers.VSphereVmVcResourcesPhysicalmemusageAverage,
    vm_drivers.VSphereVmVcResourcesPoolnonpagedbytesAverage,
    vm_drivers.VSphereVmVcResourcesPoolpagedbytesAverage,
    vm_drivers.VSphereVmVcResourcesPriviledgedcpuusageAverage,
    vm_drivers.VSphereVmVcResourcesProcesscpuusageAverage,
    vm_drivers.VSphereVmVcResourcesProcesshandlesAverage,
    vm_drivers.VSphereVmVcResourcesProcessthreadsAverage,
    vm_drivers.VSphereVmVcResourcesSyscallsrateAverage,
    vm_drivers.VSphereVmVcResourcesSystemcpuusageAverage,
    vm_drivers.VSphereVmVcResourcesSystemnetusageAverage,
    vm_drivers.VSphereVmVcResourcesSystemthreadsAverage,
    vm_drivers.VSphereVmVcResourcesUsercpuusageAverage,
    vm_drivers.VSphereVmVcResourcesVirtualmemusageAverage,
    vm_drivers.VSphereVmVflashModuleNumActiveVMDKsLatest,
    vm_drivers.VSphereVmVirtualDiskBusResetsSummation,
    vm_drivers.VSphereVmVirtualDiskCommandsAbortedSummation,
    vm_drivers.VSphereVmVirtualDiskLargeSeeksLatest,
    vm_drivers.VSphereVmVirtualDiskMediumSeeksLatest,
    vm_drivers.VSphereVmVirtualDiskNumberReadAveragedAverage,
    vm_drivers.VSphereVmVirtualDiskNumberWriteAveragedAverage,
    vm_drivers.VSphereVmVirtualDiskReadAverage,
    vm_drivers.VSphereVmVirtualDiskReadIOSizeLatest,
    vm_drivers.VSphereVmVirtualDiskReadLatencyUSLatest,
    vm_drivers.VSphereVmVirtualDiskReadLoadMetricLatest,
    vm_drivers.VSphereVmVirtualDiskReadOIOLatest,
    vm_drivers.VSphereVmVirtualDiskSmallSeeksLatest,
    vm_drivers.VSphereVmVirtualDiskThroughputContAverage,
    vm_drivers.VSphereVmVirtualDiskThroughputUsageAverage,
    vm_drivers.VSphereVmVirtualDiskTotalReadLatencyAverage,
    vm_drivers.VSphereVmVirtualDiskTotalWriteLatencyAverage,
    vm_drivers.VSphereVmVirtualDiskVFlashCacheIopsLatest,
    vm_drivers.VSphereVmVirtualDiskVFlashCacheLatencyLatest,
    vm_drivers.VSphereVmVirtualDiskVFlashCacheThroughputLatest,
    vm_drivers.VSphereVmVirtualDiskWriteAverage,
    vm_drivers.VSphereVmVirtualDiskWriteIOSizeLatest,
    vm_drivers.VSphereVmVirtualDiskWriteLatencyUSLatest,
    vm_drivers.VSphereVmVirtualDiskWriteLoadMetricLatest,
    vm_drivers.VSphereVmVirtualDiskWriteOIOLatest,
    vm_drivers.VSphereVmVmopNumChangeDSLatest,
    vm_drivers.VSphereVmVmopNumChangeHostLatest,
    vm_drivers.VSphereVmVmopNumChangeHostDSLatest,
    vm_drivers.VSphereVmVmopNumCloneLatest,
    vm_drivers.VSphereVmVmopNumCreateLatest,
    vm_drivers.VSphereVmVmopNumDeployLatest,
    vm_drivers.VSphereVmVmopNumDestroyLatest,
    vm_drivers.VSphereVmVmopNumPoweroffLatest,
    vm_drivers.VSphereVmVmopNumPoweronLatest,
    vm_drivers.VSphereVmVmopNumRebootGuestLatest,
    vm_drivers.VSphereVmVmopNumReconfigureLatest,
    vm_drivers.VSphereVmVmopNumRegisterLatest,
    vm_drivers.VSphereVmVmopNumResetLatest,
    vm_drivers.VSphereVmVmopNumSVMotionLatest,
    vm_drivers.VSphereVmVmopNumShutdownGuestLatest,
    vm_drivers.VSphereVmVmopNumStandbyGuestLatest,
    vm_drivers.VSphereVmVmopNumSuspendLatest,
    vm_drivers.VSphereVmVmopNumUnregisterLatest,
    vm_drivers.VSphereVmVmopNumVMotionLatest,
    vm_drivers.VSphereVmVmopNumXVMotionLatest,
    vm_drivers.VSphereVmVsanDomObjReadAvgLatencyAverage,
    vm_drivers.VSphereVmVsanDomObjReadCacheHitRateLatest,
    vm_drivers.VSphereVmVsanDomObjReadCongestionAverage,
    vm_drivers.VSphereVmVsanDomObjReadIopsAverage,
    vm_drivers.VSphereVmVsanDomObjReadMaxLatencyLatest,
    vm_drivers.VSphereVmVsanDomObjReadThroughputAverage,
    vm_drivers.VSphereVmVsanDomObjRecoveryWriteAvgLatencyAverage,
    vm_drivers.VSphereVmVsanDomObjRecoveryWriteCongestionAverage,
    vm_drivers.VSphereVmVsanDomObjRecoveryWriteIopsAverage,
    vm_drivers.VSphereVmVsanDomObjRecoveryWriteMaxLatencyLatest,
    vm_drivers.VSphereVmVsanDomObjRecoveryWriteThroughputAverage,
    vm_drivers.VSphereVmVsanDomObjWriteAvgLatencyAverage,
    vm_drivers.VSphereVmVsanDomObjWriteCongestionAverage,
    vm_drivers.VSphereVmVsanDomObjWriteIopsAverage,
    vm_drivers.VSphereVmVsanDomObjWriteMaxLatencyLatest,
    vm_drivers.VSphereVmVsanDomObjWriteThroughputAverage,
]


def list_opts():
    drivers_opts = [
        (driver.get_entry_name(), driver.get_config_opts())
        for driver in DRIVERS
        ]
    return drivers_opts
